Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.linear
Interface RealMatrixChangingVisitor

All Known Implementing Classes:
  DefaultRealMatrixChangingVisitor

    public interface RealMatrixChangingVisitor

Interface defining a visitor for matrix entries.

Since:
  2.0
Version:
  $Revision: 1073158 $ $Date: 2011-02-21 22:46:52 +0100 (lun. 21 févr. 2011) $
See Also:
  `DefaultRealMatrixChangingVisitor`

Method Summary
`double` | `end()` End visiting a matrix.
`void` | `start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)` Start visiting a matrix.
`double` | `visit(int row, int column, double value)` Visit one matrix entry.

Method Detail

### start

    void start(int rows,
               int columns,
               int startRow,
               int endRow,
               int startColumn,
               int endColumn)

  Start visiting a matrix.

  This method is called once before any entry of the matrix is visited.

  Parameters:
    `rows` - number of rows of the matrix
    `columns` - number of columns of the matrix
    `startRow` - Initial row index
    `endRow` - Final row index (inclusive)
    `startColumn` - Initial column index
    `endColumn` - Final column index (inclusive)

### visit

    double visit(int row,
                 int column,
                 double value)
                 throws MatrixVisitorException

  Visit one matrix entry.

  Parameters:
    `row` - row index of the entry
    `column` - column index of the entry
    `value` - current value of the entry
  Returns:
    the new value to be set for the entry
  Throws:
    `MatrixVisitorException` - if something wrong occurs

### end

    double end()

  End visiting a matrix.

  This method is called once after all entries of the matrix have been visited.

  Returns:
    the value that the `walkInXxxOrder` must return

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation